Bug 1264925 - '/usr/bin/userpasswd' shows invalid password error when it fails to change password due to minimum password age requirement
'/usr/bin/userpasswd' shows invalid password error when it fails to change pa...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: usermode (Show other bugs)
6.7
All All
medium Severity low
: rc
: ---
Assigned To: Miloslav Trmač
BaseOS QE Security Team
:
: 1264924 (view as bug list)
Depends On:
Blocks: 1172231 1269194
  Show dependency treegraph
 
Reported: 2015-09-21 09:22 EDT by Siteshwar Vashisht
Modified: 2016-07-29 15:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-29 15:01:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siteshwar Vashisht 2015-09-21 09:22:54 EDT
Description of problem:
'/usr/bin/userpasswd' shows invalid password error when it fails to change password due to minimum password age requirement

Version-Release number of selected component (if applicable):
usermode-1.102-3.el6.x86_64
usermode-gtk-1.102-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a new user account with id 'test'.
2. Set minimum number of days between password changes by executing :

    chage --mindays=1 test

3. Execute '/usr/bin/userpasswd' and enter password for 'test' user.

Actual results:
Two error messages are displayed :

1. You must wait longer to change your password.
2. The password you typed is invalid. Please try again.

Expected results:
Only one error message should be displayed :

1. You must wait longer to change your password.
Comment 1 Miloslav Trmač 2015-10-13 08:06:00 EDT
*** Bug 1264924 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.